package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzSkSwtzdw;

import java.util.List;

/**
 * 招商引资_省库项目_省外投资单位Mapper接口
 * 
 * @author boman
 * @date 2023-03-28
 */
public interface ZsyzSkSwtzdwMapper 
{
    /**
     * 查询招商引资_省库项目_省外投资单位
     * 
     * @param id 招商引资_省库项目_省外投资单位主键
     * @return 招商引资_省库项目_省外投资单位
     */
    public ZsyzSkSwtzdw selectZsyzSkSwtzdwById(Long id);

    /**
     * 根据省库项目id查询
     * @param id
     * @return
     */
    public List<ZsyzSkSwtzdw> selectZsyzSkSwtzdwBySkId(Long id);

    /**
     * 查询招商引资_省库项目_省外投资单位列表
     * 
     * @param zsyzSkSwtzdw 招商引资_省库项目_省外投资单位
     * @return 招商引资_省库项目_省外投资单位集合
     */
    public List<ZsyzSkSwtzdw> selectZsyzSkSwtzdwList(ZsyzSkSwtzdw zsyzSkSwtzdw);

    /**
     * 新增招商引资_省库项目_省外投资单位
     * 
     * @param zsyzSkSwtzdw 招商引资_省库项目_省外投资单位
     * @return 结果
     */
    public int insertZsyzSkSwtzdw(ZsyzSkSwtzdw zsyzSkSwtzdw);

    /**
     * 修改招商引资_省库项目_省外投资单位
     * 
     * @param zsyzSkSwtzdw 招商引资_省库项目_省外投资单位
     * @return 结果
     */
    public int updateZsyzSkSwtzdw(ZsyzSkSwtzdw zsyzSkSwtzdw);

    /**
     * 删除招商引资_省库项目_省外投资单位
     * 
     * @param id 招商引资_省库项目_省外投资单位主键
     * @return 结果
     */
    public int deleteZsyzSkSwtzdwById(Long id);
    public int deleteZsyzSkSwtzdwBySkId(Long id);

    /**
     * 批量删除招商引资_省库项目_省外投资单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZsyzSkSwtzdwByIds(Long[] ids);
}
